import java.sql.SQLData;
import java.sql.SQLInput;
import java.sql.SQLOutput;
import java.sql.SQLException;

public class PassengerVehicle
    extends Vehicle
{
    public static final String ORACLE_OBJECT_NAME = "PASSENGER_VEHICLE_OBJ_T";

    public PassengerVehicle()
    {
        setSQLTypeName(ORACLE_OBJECT_NAME);
    }

    public void readSQL(SQLInput sqlInput, String sqlTypeName)
        throws SQLException
    {
        setSQLTypeName(sqlTypeName);
        super.readSQL(sqlInput);
    }

    public void writeSQL(SQLOutput sqlOutput)
        throws SQLException
    {
        super.writeSQL(sqlOutput);
    } 

    public String toString()
    {
        StringBuffer retVal = new StringBuffer(128);

        retVal.append("PassengerVehicle:\n");
        retVal.append(super.attributeString());

        return retVal.toString();
    }
}
